import * as Undertaker from 'undertaker';
export declare const _revertSymbolSeries: unique symbol;
export declare const _revertSymbolParallel: unique symbol;
declare type unmanagedType = string | Undertaker.TaskFunction;
declare type managedType = unmanagedType | WrappedTaskFunction;
declare type WrappedTaskFunction = Undertaker.TaskFunction & {
    [_revertSymbolSeries]?: unmanagedType[];
    [_revertSymbolParallel]?: unmanagedType[];
};
export declare function series(gulp: Undertaker, ...tasks: managedType[]): WrappedTaskFunction;
export declare function series(gulp: Undertaker, tasks: managedType[]): WrappedTaskFunction;
export declare function gulpSeries(...tasks: managedType[]): WrappedTaskFunction;
export declare function gulpSeries(tasks: managedType[]): WrappedTaskFunction;
export declare function parallel(gulp: Undertaker, ...tasks: managedType[]): WrappedTaskFunction;
export declare function parallel(gulp: Undertaker, tasks: managedType[]): WrappedTaskFunction;
export declare function gulpParallel(...tasks: managedType[]): WrappedTaskFunction;
export declare function gulpParallel(tasks: managedType[]): WrappedTaskFunction;
export {};
//# sourceMappingURL=index.d.ts.map